package ant.antinstructions;

import java.util.*;
import ant.FoodPlain;
import ant.AntBody;

public abstract class AntInstruction {

    /**
     *  The operation code for this instruction
     */
    private String opCode_;
    public String opCode() { return opCode_; }
    public void opCode( String aString ) { opCode_ = aString; }
    
    public AntInstruction() {
        this.initialize();
    }
    
    private void initialize() {
    }
    
    // abstract method
    public abstract void executeOn(FoodPlain theFoodPlain, AntBody theAnt);
    
    
}