package ant.antinstructions;

import ant.FoodPlain;
import ant.AntBody;

public class MoveForward extends AntInstruction {
    
    public MoveForward() {
        this.initialize();
    }
    
    private void initialize() {
        this.opCode("MFrwd");
    }
    
    public void executeOn(FoodPlain theFoodPlain, AntBody theAnt) {
        theAnt.moveForwardOn(theFoodPlain);
    }
}