package graph;

import java.util.*;

public class RealNumberPoint {
    
    /*
        Note - This violates our normal rules about getters/setters
               to maintain compatibility with the Point class (java)
    */

    /**
     *  The x value for this RealNumberPoint
     */
    public double x;

    /**
     *  The y value for this RealNumberPoint
     */
    public double y;
    
    private RealNumberPoint() {
        this.initialize();
    }
    
    public RealNumberPoint(double xValue, double yValue) {
        this();
        x = xValue;
        y = yValue;
    }
    
    private void initialize() {
    }
    
}